<?php

namespace EventPortal\AuthPassword\Rules;

class ContainsUppercase implements NovoRule
{
    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter
    // phpcs:disable SlevomatCodingStandard.TypeHints.ParameterTypeHint
    public function passes($attribute, $value): bool
    {
        return (bool) preg_match('/^(?=.*[A-Z])/', $value);
    }

    // phpcs:enable
    public function message(): string
    {
        return 'There must be at least one uppercase letter.';
    }

    public function frontEndLabel(): string
    {
        return 'Uppercase letters';
    }

    public function frontEndValidation(): array
    {
        return [
            'uppercase',
        ];
    }
}
